" monotonous-chroma.vim -- Vim color scheme.
" Author:      studiovx (studiovx@studiovx.co.uk)
" Webpage:     
" Description: 

hi clear

if exists("syntax_on")
  syntax reset
endif

let colors_name = "monotonous-chroma"

if ($TERM =~ '256' || &t_Co >= 256) || has("gui_running")
    hi Normal ctermbg=234 ctermfg=243 cterm=NONE guibg=#202122 guifg=#767070 gui=NONE
    set background=dark
    hi Special ctermbg=NONE ctermfg=124 cterm=bold guibg=NONE guifg=#cab0af gui=bold
    hi NonText ctermbg=NONE ctermfg=124 cterm=NONE guibg=NONE guifg=#d1bab9 gui=NONE
    hi Tag ctermbg=237 ctermfg=NONE cterm=NONE guibg=#373030 guifg=NONE gui=NONE
    hi Identifier ctermbg=NONE ctermfg=88 cterm=NONE guibg=NONE guifg=#b79392 gui=NONE
    hi Function ctermbg=NONE ctermfg=88 cterm=bold guibg=NONE guifg=#c4a6a5 gui=bold
    hi Type ctermbg=NONE ctermfg=52 cterm=NONE guibg=NONE guifg=#967978 gui=NONE
    hi StorageClass ctermbg=NONE ctermfg=52 cterm=bold guibg=NONE guifg=#866b6b gui=bold
    hi link Structure StorageClass
    hi link TypeDef StorageClass
    hi Constant ctermbg=NONE ctermfg=255 cterm=italic guibg=NONE guifg=#eeeded gui=italic
    hi String ctermbg=NONE ctermfg=250 cterm=italic guibg=NONE guifg=#aeaaaa gui=italic
    hi link Character String
    hi link Number String
    hi link Boolean String
    hi link Float String
    hi Folded ctermbg=NONE ctermfg=250 cterm=NONE guibg=NONE guifg=#aeaaaa gui=NONE
    hi Statement ctermbg=NONE ctermfg=243 cterm=NONE guibg=NONE guifg=#767070 gui=NONE
    hi Conditional ctermbg=NONE ctermfg=250 cterm=bold guibg=NONE guifg=#aeaaaa gui=bold
    hi Repeat ctermbg=NONE ctermfg=247 cterm=bold guibg=NONE guifg=#9a9494 gui=bold
    hi Label ctermbg=NONE ctermfg=244 cterm=bold guibg=NONE guifg=#857f7f gui=bold
    hi Operator ctermbg=NONE ctermfg=247 cterm=bold guibg=NONE guifg=#9a9494 gui=bold
    hi Keyword ctermbg=NONE ctermfg=244 cterm=bold guibg=NONE guifg=#857f7f gui=bold
    hi Exception ctermbg=NONE ctermfg=52 cterm=bold guibg=NONE guifg=#6b5d5d gui=bold
    hi PreProc ctermbg=NONE ctermfg=238 cterm=bold guibg=NONE guifg=#494646 gui=bold
    hi Include ctermbg=NONE ctermfg=238 cterm=NONE guibg=NONE guifg=#494646 gui=NONE
    hi Comment ctermbg=NONE ctermfg=240 cterm=italic guibg=NONE guifg=#5d5d5d gui=italic
    hi SpecialComment ctermbg=NONE ctermfg=244 cterm=italic guibg=NONE guifg=#857f7f gui=italic
    hi Todo ctermbg=NONE ctermfg=247 cterm=italic guibg=NONE guifg=#9a9494 gui=italic
    hi Ignore ctermbg=NONE ctermfg=234 cterm=NONE guibg=NONE guifg=#202122 gui=NONE
    hi Error ctermbg=NONE ctermfg=196 cterm=bold guibg=NONE guifg=#c74444 gui=bold
    hi Underlined ctermbg=NONE ctermfg=NONE cterm=underline guibg=NONE guifg=NONE gui=underline
    hi StatusLine ctermbg=238 ctermfg=250 cterm=NONE guibg=#3f3f3f guifg=#aeadad gui=NONE
    hi StatusLineNC ctermbg=238 ctermfg=243 cterm=NONE guibg=#3f3f3f guifg=#716c6c gui=NONE
    hi TabLine ctermbg=238 ctermfg=243 cterm=NONE guibg=#3f3f3f guifg=#716c6c gui=NONE
    hi TabLineFill ctermbg=238 ctermfg=238 cterm=NONE guibg=#3f3f3f guifg=#3f3f3f gui=NONE
    hi TabLineSel ctermbg=238 ctermfg=250 cterm=NONE guibg=#3f3f3f guifg=#aeadad gui=NONE
    hi VertSplit ctermbg=234 ctermfg=238 cterm=NONE guibg=#202122 guifg=#3f3f3f gui=NONE
    hi FoldColumn ctermbg=234 ctermfg=238 cterm=NONE guibg=#202122 guifg=#494646 gui=NONE
    hi ColorColumn ctermbg=232 ctermfg=NONE cterm=NONE guibg=#1B1C1D guifg=NONE gui=NONE
    hi SignColumn ctermbg=234 ctermfg=250 cterm=NONE guibg=#202122 guifg=#aeadad gui=NONE
    hi CursorLine ctermbg=232 ctermfg=NONE cterm=NONE guibg=#1B1C1D guifg=NONE gui=NONE
    hi link Title Constant
    hi LineNr ctermbg=234 ctermfg=238 cterm=NONE guibg=#202122 guifg=#494646 gui=NONE
    hi CursorLineNr ctermbg=234 ctermfg=243 cterm=bold guibg=#202122 guifg=#716c6c gui=bold
    hi Pmenu ctermbg=237 ctermfg=244 cterm=NONE guibg=#333535 guifg=#857f7f gui=NONE
    hi PmenuSbar ctermbg=237 ctermfg=237 cterm=NONE guibg=#333535 guifg=#333535 gui=NONE
    hi PmenuSel ctermbg=237 ctermfg=250 cterm=bold guibg=#333535 guifg=#aeadad gui=bold
    hi PmenuThumb ctermbg=244 ctermfg=244 cterm=NONE guibg=#857f7f guifg=#857f7f gui=NONE
    hi SpecialKey ctermbg=NONE ctermfg=124 cterm=NONE guibg=NONE guifg=#d1bab9 gui=NONE
    hi DiffAdd ctermbg=22 ctermfg=NONE cterm=NONE guibg=#202820 guifg=NONE gui=NONE
    hi DiffChange ctermbg=17 ctermfg=NONE cterm=NONE guibg=#242528 guifg=NONE gui=NONE
    hi DiffDelete ctermbg=52 ctermfg=NONE cterm=NONE guibg=#282020 guifg=NONE gui=NONE
    hi DiffText ctermbg=17 ctermfg=21 cterm=NONE guibg=#242528 guifg=#656a7c gui=NONE
    hi IncSearch ctermbg=17 ctermfg=234 cterm=NONE guibg=#93adc2 guifg=#202122 gui=NONE
    hi Search ctermbg=17 ctermfg=250 cterm=NONE guibg=#49535a guifg=#aeadad gui=NONE
    hi Visual ctermbg=17 ctermfg=NONE cterm=NONE guibg=#384046 guifg=NONE gui=NONE
    hi VisualNOS ctermbg=52 ctermfg=NONE cterm=NONE guibg=#463838 guifg=NONE gui=NONE
    hi Directory ctermbg=NONE ctermfg=250 cterm=NONE guibg=NONE guifg=#aeadad gui=NONE
    hi MatchParen ctermbg=17 ctermfg=NONE cterm=bold guibg=#49535a guifg=NONE gui=bold
    hi SpellBad ctermbg=NONE ctermfg=196 cterm=NONE guibg=NONE guifg=#c74444 gui=NONE guisp=#c74444
    hi SpellCap ctermbg=NONE ctermfg=166 cterm=NONE guibg=NONE guifg=#a67038 gui=NONE guisp=#a67038
    hi SpellLocal ctermbg=NONE ctermfg=247 cterm=NONE guibg=NONE guifg=#797532 gui=NONE guisp=#a67038
    hi SpellRare ctermbg=NONE ctermfg=247 cterm=NONE guibg=NONE guifg=#797532 gui=NONE guisp=#a67038
    hi WildMenu ctermbg=238 ctermfg=255 cterm=bold guibg=#3f3f3f guifg=#eee4e4 gui=bold
    hi ErrorMsg ctermbg=NONE ctermfg=196 cterm=bold guibg=NONE guifg=#c74444 gui=bold
    hi ModeMsg ctermbg=NONE ctermfg=255 cterm=bold guibg=NONE guifg=#eee4e4 gui=bold
    hi MoreMsg ctermbg=NONE ctermfg=255 cterm=NONE guibg=NONE guifg=#eee4e4 gui=NONE
    hi Question ctermbg=NONE ctermfg=247 cterm=NONE guibg=NONE guifg=#797532 gui=NONE
    hi WarningMsg ctermbg=NONE ctermfg=166 cterm=bold guibg=NONE guifg=#a67038 gui=bold
    hi Cursor ctermbg=255 ctermfg=0 cterm=bold guibg=#eee4e4 guifg=#131313 gui=bold
    hi CursorColumn ctermbg=232 ctermfg=NONE cterm=NONE guibg=#1F1F1F guifg=NONE gui=NONE
    hi EndOfBuffer ctermbg=234 ctermfg=234 cterm=NONE guibg=#202122 guifg=#202122 gui=NONE
    hi Noise ctermbg=NONE ctermfg=240 cterm=NONE guibg=NONE guifg=#5d5959 gui=NONE
    hi TabLineNum ctermbg=238 ctermfg=243 cterm=bold guibg=#3f3f3f guifg=#716c6c gui=bold
    hi TabLineNumSel ctermbg=238 ctermfg=244 cterm=bold guibg=#3f3f3f guifg=#857f7f gui=bold
    hi StatusLineNoise ctermbg=238 ctermfg=240 cterm=NONE guibg=#3f3f3f guifg=#5d5959 gui=NONE
    hi StatusLineNoiseActive ctermbg=238 ctermfg=243 cterm=NONE guibg=#3f3f3f guifg=#716c6c gui=NONE
    hi StatusLineBufferNr ctermbg=238 ctermfg=247 cterm=bold guibg=#3f3f3f guifg=#9a9393 gui=bold
    hi StatusLineBufferNrActive ctermbg=238 ctermfg=250 cterm=bold guibg=#3f3f3f guifg=#aeadad gui=bold
    hi StatusLinePercent ctermbg=238 ctermfg=243 cterm=bold guibg=#3f3f3f guifg=#716c6c gui=bold
    hi StatusLinePercentActive ctermbg=238 ctermfg=247 cterm=bold guibg=#3f3f3f guifg=#9a9393 gui=bold
    hi StatusLineLinecount ctermbg=238 ctermfg=243 cterm=bold guibg=#3f3f3f guifg=#716c6c gui=bold
    hi StatusLineLinecountActive ctermbg=238 ctermfg=244 cterm=bold guibg=#3f3f3f guifg=#857f7f gui=bold
    hi StatusLineDivActive ctermbg=243 ctermfg=243 cterm=NONE guibg=#716c6c guifg=#716c6c gui=NONE
    hi StatusLineDivInput ctermbg=17 ctermfg=17 cterm=NONE guibg=#384046 guifg=#384046 gui=NONE
    hi StatusLineDivMod ctermbg=124 ctermfg=124 cterm=NONE guibg=#655757 guifg=#655757 gui=NONE
    hi StatusLineDivModActive ctermbg=124 ctermfg=124 cterm=NONE guibg=#916c6c guifg=#916c6c gui=NONE
    hi StatusLineFileInfo ctermbg=NONE ctermfg=240 cterm=italic guibg=NONE guifg=#5d5d5d gui=italic
    hi StatusLineFile ctermbg=238 ctermfg=247 cterm=italic guibg=#3f3f3f guifg=#9a9393 gui=italic
    hi StatusLineFileActive ctermbg=238 ctermfg=250 cterm=italic guibg=#3f3f3f guifg=#aeadad gui=italic
    hi StatusLineDir ctermbg=238 ctermfg=243 cterm=italic guibg=#3f3f3f guifg=#716c6c gui=italic
    hi StatusLineDirActive ctermbg=238 ctermfg=243 cterm=italic guibg=#3f3f3f guifg=#716c6c gui=italic
    hi StatusLineExt ctermbg=238 ctermfg=243 cterm=italic guibg=#3f3f3f guifg=#716c6c gui=italic
    hi StatusLineExtActive ctermbg=238 ctermfg=244 cterm=italic guibg=#3f3f3f guifg=#857f7f gui=italic
    hi StatusLineDot ctermbg=238 ctermfg=240 cterm=italic guibg=#3f3f3f guifg=#5d5959 gui=italic
    hi StatusLineDotActive ctermbg=238 ctermfg=240 cterm=italic guibg=#3f3f3f guifg=#5d5959 gui=italic
    hi StatusLineFileReadOnly ctermbg=238 ctermfg=124 cterm=italic guibg=#3f3f3f guifg=#725454 gui=italic
    hi StatusLineFileReadOnlyActive ctermbg=NONE ctermfg=124 cterm=italic guibg=NONE guifg=#725454 gui=italic
    hi StatusLineWarning ctermbg=238 ctermfg=244 cterm=bold guibg=#3f3f3f guifg=#857f7f gui=bold
    hi StatusLineWarningActive ctermbg=NONE ctermfg=124 cterm=bold guibg=NONE guifg=#725454 gui=bold
    hi LinterDash ctermbg=NONE ctermfg=238 cterm=NONE guibg=NONE guifg=#494646 gui=NONE
    hi LinterDashActive ctermbg=NONE ctermfg=240 cterm=NONE guibg=NONE guifg=#5d5d5d gui=NONE
    hi LinterError ctermbg=NONE ctermfg=243 cterm=bold guibg=NONE guifg=#716c6c gui=bold
    hi LinterErrorActive ctermbg=NONE ctermfg=196 cterm=bold guibg=NONE guifg=#7D3636 gui=bold
    hi LinterErrorStyle ctermbg=NONE ctermfg=243 cterm=NONE guibg=NONE guifg=#716c6c gui=NONE
    hi LinterErrorStyleActive ctermbg=NONE ctermfg=196 cterm=NONE guibg=NONE guifg=#7D3636 gui=NONE
    hi LinterWarning ctermbg=NONE ctermfg=240 cterm=bold guibg=NONE guifg=#5d5959 gui=bold
    hi LinterWarningActive ctermbg=NONE ctermfg=124 cterm=bold guibg=NONE guifg=#725454 gui=bold
    hi LinterWarningStyle ctermbg=NONE ctermfg=240 cterm=NONE guibg=NONE guifg=#5d5959 gui=NONE
    hi LinterWarningStyleActive ctermbg=NONE ctermfg=124 cterm=NONE guibg=NONE guifg=#725454 gui=NONE
    hi LinterInfo ctermbg=NONE ctermfg=238 cterm=NONE guibg=NONE guifg=#494646 gui=NONE
    hi LinterInfoActive ctermbg=NONE ctermfg=240 cterm=NONE guibg=NONE guifg=#5d5d5d gui=NONE
    hi GitGutterDelete ctermbg=NONE ctermfg=124 cterm=bold guibg=NONE guifg=#725454 gui=bold
    hi GitGutterChange ctermbg=NONE ctermfg=19 cterm=bold guibg=NONE guifg=#596171 gui=bold
    hi GitGutterAdd ctermbg=NONE ctermfg=34 cterm=bold guibg=NONE guifg=#496349 gui=bold
    hi GitGutterChangeDelete ctermbg=NONE ctermfg=126 cterm=bold guibg=NONE guifg=#5c4a5a gui=bold
    hi cssIdentifier ctermbg=NONE ctermfg=34 cterm=bold guibg=NONE guifg=#b1caaf gui=bold
    hi cssClass ctermbg=NONE ctermfg=28 cterm=NONE guibg=NONE guifg=#a5c4a5 gui=NONE
    hi cssFunction ctermbg=NONE ctermfg=244 cterm=bold guibg=NONE guifg=#857f7f gui=bold
    hi cssProp ctermbg=NONE ctermfg=243 cterm=NONE guibg=NONE guifg=#716c6c gui=NONE
    hi scssVariable ctermbg=NONE ctermfg=34 cterm=bold guibg=NONE guifg=#b9d1bb gui=bold
    hi link cssAttr String
    hi link cssIdentifierAttr Noise
    hi link cssClassAttr cssIdentifierAttr
    hi link cssAttrNoise Noise
    hi link atKeyword PreProc
    hi link cssIdentifier cssIdentifier
    hi link cssClassName cssClass
    hi link cssClassNameDot cssClass
    hi link cssTagName htmlTagName
    hi link cssPseudoClassId cssClassName
    hi link cssKeyFrameSelector Label
    hi link cssFunctionName cssIdentifier
    hi link cssBraces Noise
    hi cssUnitDecorators ctermbg=NONE ctermfg=247 cterm=NONE guibg=NONE guifg=#9a9494 gui=NONE
    hi link scssSelector cssClass
    hi link scssSelectorName scssSelector
    hi link scssSelectorChar cssIdentifier
    hi link scssFunctionName cssFunction
    hi link scssMixin keyword
    hi link scssMixinName cssFunction
    hi link scssampersand scssSelectorName
    hi link scssAtRoot atKeyword
    hi link vue_scss cssIdentifier
    hi htmlTagName ctermbg=NONE ctermfg=19 cterm=NONE guibg=NONE guifg=#7378b4 gui=NONE
    hi htmlSpecialTagName ctermbg=NONE ctermfg=19 cterm=bold guibg=NONE guifg=#7e84c6 gui=bold
    hi htmlLink ctermbg=NONE ctermfg=21 cterm=underline guibg=NONE guifg=#a1a5d5 gui=underline
    hi link htmlNormal Normal
    hi link htmlTitle Title
    hi link htmlH1 htmlTitle
    hi link htmlTag Noise
    hi link htmlEndTag htmlTag
    hi link htmlArg PreProc
    hi link htmlValue String
    hi link htmlSpecialChar Special
    hi link htmlPreStmt PreProc
    hi link htmlPreError Error
    hi link htmlPreProc PreProc
    hi link htmlPreAttr String
    hi link htmlPreProcAttrName PreProc
    hi link htmlPreProcAttrError Error
    hi link htmlSpecial Special
    hi link htmlSpecialChar Special
    hi link htmlString String
    hi link htmlStatement Statement
    hi link htmlComment Comment
    hi link htmlCommentPart Comment
    hi link htmlValue String
    hi link htmlCommentError htmlError
    hi link htmlTagError htmlError
    hi link htmlEvent javaScript
    hi link htmlError Error
    hi link javaScript Special
    hi link javaScriptExpression javaScript
    hi link htmlCssStyleComment Comment
    hi link htmlCssDefinition Special
    hi link htmlImgArg htmlArg
    hi link htmlSrcValue String
    hi link htmlSrcsetValue htmlSrcValue
    hi link htmlAltValue String
    hi link htmlDataArg htmlTagName
    hi link htmlDataValue Constant
    hi link htmlHrefArg htmlArg
    hi link htmlHrefValue htmlSrcValue
    hi vueTagSpecial ctermbg=NONE ctermfg=20 cterm=bold guibg=NONE guifg=#a6a5c4 gui=bold
    hi vueTagComponentName ctermbg=NONE ctermfg=19 cterm=bold guibg=NONE guifg=#8685a7 gui=bold
    hi vueDynamicComponent ctermbg=NONE ctermfg=17 cterm=bold guibg=NONE guifg=#6c6b86 gui=bold
    hi link vueTransitionComponent vueDynamicComponent
    hi link vueTransitionName cssIdentifier
    hi link vueTransitionMode String
    hi link vueDirective Identifier
    hi link vueEvent Function
    hi link vueConditional Special
    hi link vueFor vueConditional
    hi link vueRef vueDirective
    hi link vueSlot Noise
    hi link vueDirectiveValue Type
    hi link vueEventValue vueDirectiveValue
    hi link vueConditionalValue vueDirectiveValue
    hi link vueForValue vueConditionalValue
    hi link vueRefValue Constant
    hi link vueSlotName Constant
    hi link vueObjectKey cssClass
    hi link vueObjectValue vueDirectiveValue
    hi link vueDirectiveClass Noise
    hi link vueMustache Type
    hi link jsFunctionKey Function
    hi jsFuncCall ctermbg=NONE ctermfg=88 cterm=bold guibg=NONE guifg=#a78685 gui=bold
    hi link jsFuncCall Identifier
    hi link jsOperator Operator
    hi link jsVariableDef Identifier
    hi jsGlobalObjects ctermbg=NONE ctermfg=247 cterm=bold guibg=NONE guifg=#9a9494 gui=bold
    hi link jsGlobalNodeObjects jsGlobalObjects
    hi link jsExceptions jsGlobalObjects
    hi link jsBuiltins jsGlobalObjects
    hi link jsStorageClass Include
    hi jsObjectKey ctermbg=NONE ctermfg=88 cterm=NONE guibg=NONE guifg=#b79392 gui=NONE
    hi link jsObjectProp Type
    hi jsObjectValue ctermbg=NONE ctermfg=52 cterm=NONE guibg=NONE guifg=#866b6b gui=NONE
    hi link jsModuleKeyword Type
    hi link jsOperatorKeyword Label
    hi link jsThis jsGlobalObjects
    hi link jsArrowFunction Function
    hi link pythonBuiltin Type
    hi link pythonBuiltinObj Special
    hi link pythonDottedName Identifier
    hi link pythonBrackets Noise
    hi link pythonQuotes Noise
    hi link pythonDot Noise
    hi link pythonNoise Noise
    hi link pythonExtraOperator Operator
    hi link pythonDocString SpecialComment
    hi pythonSelf ctermbg=NONE ctermfg=238 cterm=bold guibg=NONE guifg=#494646 gui=bold
    hi link sqlOperator Operator
    hi vimFoldMarker ctermbg=NONE ctermfg=238 cterm=NONE guibg=NONE guifg=#494646 gui=NONE
    hi link vimMap Noise
    hi link vimAbb vimMap
    hi link VimCommand Statement
    hi link VimOption String
    hi link vimFunction Function
    hi link vimFuncKey Special
    hi link vimHighlight Noise
    hi link vimAuGroupKey Noise
    hi link vimAutoCmd Noise
    hi link vimHiTerm Include
    hi link vimHiAttrib Number
    hi link VimIsCommand Type
    hi link vimNotation StorageClass
    hi link vimMapLhs Special
    hi link vimMapRhs Label
    hi link vimNotFunc Conditional
    hi link vimSep Noise
    hi link vimParenSep vimSep
    hi link vimContinue vimSep
    hi link vimBracket vimSep
    hi link vimOperParen Normal
    hi link vimUserFunc Identifier
    hi link vimFoldMarker Noise
    hi link yamlKeyValueDelimiter Noise
    hi link yamlFowIndicator Noise
    hi link confComment Comment
    hi ExtraWhitespace ctermbg=196 ctermfg=NONE cterm=NONE guibg=#6a2e2e guifg=NONE gui=NONE
    hi link phpRegion Normal
    hi link phpComparison Operator
    hi QuickfixLine ctermbg=NONE ctermfg=247 cterm=bold guibg=NONE guifg=#9a9393 gui=bold
    hi qfLineNr ctermbg=NONE ctermfg=240 cterm=italic guibg=NONE guifg=#5d5959 gui=italic
    hi qfFilename ctermbg=NONE ctermfg=244 cterm=bold guibg=NONE guifg=#857f7f gui=bold
    hi link qfSeparator Ignore
    hi link qfError ErrorMsg
    hi link jsonKeyword Identifier
    hi link jsonValue String
    hi link jsonQuote Noise
    hi link LspErrorText ErrorMsg
    hi link LspWarningText WarningMsg
    hi link LspInformationText Question
    hi link LspHintText Question
    hi CtrlPPrtBase ctermbg=255 ctermfg=0 cterm=bold guibg=#eee4e4 guifg=#131313 gui=bold
    hi CtrlPPrtText ctermbg=255 ctermfg=0 cterm=bold guibg=#eee4e4 guifg=#131313 gui=bold
    hi CtrlPMatch ctermbg=NONE ctermfg=247 cterm=bold guibg=NONE guifg=#9a9393 gui=bold
    hi CtrlPMode1 ctermbg=NONE ctermfg=250 cterm=bold guibg=NONE guifg=#aeadad gui=bold
    hi CtrlPMode2 ctermbg=NONE ctermfg=244 cterm=NONE guibg=NONE guifg=#857f7f gui=NONE
    hi CtrlPNoEntries ctermbg=NONE ctermfg=196 cterm=bold guibg=NONE guifg=#916c6c gui=bold
    hi CtrlPBufferNr ctermbg=NONE ctermfg=247 cterm=bold guibg=NONE guifg=#9a9393 gui=bold
    hi CtrlPBufferInd ctermbg=NONE ctermfg=255 cterm=bold guibg=NONE guifg=#eee4e4 gui=bold
    hi CtrlPBufferPath ctermbg=NONE ctermfg=240 cterm=NONE guibg=NONE guifg=#5d5959 gui=NONE
    hi CtrlPBufferHid ctermbg=NONE ctermfg=243 cterm=NONE guibg=NONE guifg=#716c6c gui=NONE
    hi CtrlPBufferHidMod ctermbg=NONE ctermfg=88 cterm=NONE guibg=NONE guifg=#7b6a6a gui=NONE
    hi link CtrlPBufferVis Normal
    hi CtrlPBufferVisMod ctermbg=NONE ctermfg=124 cterm=NONE guibg=NONE guifg=#725454 gui=NONE
    hi CtrlPBufferCur ctermbg=NONE ctermfg=250 cterm=bold guibg=NONE guifg=#aeadad gui=bold
    hi CtrlPBufferCurMod ctermbg=NONE ctermfg=196 cterm=NONE guibg=NONE guifg=#916c6c gui=NONE
    hi CtrlPBufName ctermbg=NONE ctermfg=247 cterm=NONE guibg=NONE guifg=#9a9393 gui=NONE
    hi CtrlPTagKind ctermbg=NONE ctermfg=250 cterm=bold guibg=NONE guifg=#aeadad gui=bold
    hi CtrlPqfLineCol ctermbg=NONE ctermfg=124 cterm=bold guibg=NONE guifg=#725454 gui=bold
    hi CtrlPUndoT ctermbg=NONE ctermfg=244 cterm=NONE guibg=NONE guifg=#857f7f gui=NONE
    hi CtrlPUndoBr ctermbg=NONE ctermfg=238 cterm=NONE guibg=NONE guifg=#494646 gui=NONE
    hi CtrlPUndoNr ctermbg=NONE ctermfg=240 cterm=NONE guibg=NONE guifg=#5d5959 gui=NONE
    hi CtrlPUndoSv ctermbg=NONE ctermfg=124 cterm=NONE guibg=NONE guifg=#725454 gui=NONE
    hi CtrlPUndoPo ctermbg=NONE ctermfg=250 cterm=bold guibg=NONE guifg=#aeadad gui=bold
    hi link Variable Function
elseif &t_Co == 8 || $TERM !~# '^linux' || &t_Co == 16
    set t_Co=16
    hi Normal ctermbg=black ctermfg=gray cterm=NONE
    set background=dark
    hi Special ctermbg=NONE ctermfg=red cterm=bold
    hi NonText ctermbg=NONE ctermfg=red cterm=NONE
    hi Tag ctermbg=darkred ctermfg=NONE cterm=NONE
    hi Identifier ctermbg=NONE ctermfg=red cterm=NONE
    hi Function ctermbg=NONE ctermfg=red cterm=bold
    hi Type ctermbg=NONE ctermfg=darkred cterm=NONE
    hi StorageClass ctermbg=NONE ctermfg=darkred cterm=bold
    hi link Structure StorageClass
    hi link TypeDef StorageClass
    hi Constant ctermbg=NONE ctermfg=white cterm=italic
    hi String ctermbg=NONE ctermfg=white cterm=italic
    hi link Character String
    hi link Number String
    hi link Boolean String
    hi link Float String
    hi Folded ctermbg=NONE ctermfg=white cterm=NONE
    hi Statement ctermbg=NONE ctermfg=gray cterm=NONE
    hi Conditional ctermbg=NONE ctermfg=white cterm=bold
    hi Repeat ctermbg=NONE ctermfg=darkgray cterm=bold
    hi Label ctermbg=NONE ctermfg=darkgray cterm=bold
    hi Operator ctermbg=NONE ctermfg=darkgray cterm=bold
    hi Keyword ctermbg=NONE ctermfg=darkgray cterm=bold
    hi Exception ctermbg=NONE ctermfg=darkred cterm=bold
    hi PreProc ctermbg=NONE ctermfg=gray cterm=bold
    hi Include ctermbg=NONE ctermfg=gray cterm=NONE
    hi Comment ctermbg=NONE ctermfg=gray cterm=italic
    hi SpecialComment ctermbg=NONE ctermfg=darkgray cterm=italic
    hi Todo ctermbg=NONE ctermfg=darkgray cterm=italic
    hi Ignore ctermbg=NONE ctermfg=black cterm=NONE
    hi Error ctermbg=NONE ctermfg=red cterm=bold
    hi Underlined ctermbg=NONE ctermfg=NONE cterm=underline
    hi StatusLine ctermbg=gray ctermfg=white cterm=NONE
    hi StatusLineNC ctermbg=gray ctermfg=gray cterm=NONE
    hi TabLine ctermbg=gray ctermfg=gray cterm=NONE
    hi TabLineFill ctermbg=gray ctermfg=gray cterm=NONE
    hi TabLineSel ctermbg=gray ctermfg=white cterm=NONE
    hi VertSplit ctermbg=black ctermfg=gray cterm=NONE
    hi FoldColumn ctermbg=black ctermfg=gray cterm=NONE
    hi ColorColumn ctermbg=gray ctermfg=NONE cterm=NONE
    hi SignColumn ctermbg=black ctermfg=white cterm=NONE
    hi CursorLine ctermbg=gray ctermfg=NONE cterm=NONE
    hi link Title Constant
    hi LineNr ctermbg=black ctermfg=gray cterm=NONE
    hi CursorLineNr ctermbg=black ctermfg=gray cterm=bold
    hi Pmenu ctermbg=black ctermfg=darkgray cterm=NONE
    hi PmenuSbar ctermbg=black ctermfg=black cterm=NONE
    hi PmenuSel ctermbg=black ctermfg=white cterm=bold
    hi PmenuThumb ctermbg=darkgray ctermfg=darkgray cterm=NONE
    hi SpecialKey ctermbg=NONE ctermfg=red cterm=NONE
    hi DiffAdd ctermbg=darkgreen ctermfg=NONE cterm=NONE
    hi DiffChange ctermbg=darkblue ctermfg=NONE cterm=NONE
    hi DiffDelete ctermbg=darkred ctermfg=NONE cterm=NONE
    hi DiffText ctermbg=darkblue ctermfg=white cterm=NONE
    hi IncSearch ctermbg=darkblue ctermfg=black cterm=NONE
    hi Search ctermbg=darkblue ctermfg=white cterm=NONE
    hi Visual ctermbg=darkblue ctermfg=NONE cterm=NONE
    hi VisualNOS ctermbg=darkred ctermfg=NONE cterm=NONE
    hi Directory ctermbg=NONE ctermfg=white cterm=NONE
    hi MatchParen ctermbg=darkblue ctermfg=NONE cterm=bold
    hi SpellBad ctermbg=NONE ctermfg=red cterm=NONE
    hi SpellCap ctermbg=NONE ctermfg=yellow cterm=NONE
    hi SpellLocal ctermbg=NONE ctermfg=darkyellow cterm=NONE
    hi SpellRare ctermbg=NONE ctermfg=darkyellow cterm=NONE
    hi WildMenu ctermbg=gray ctermfg=white cterm=bold
    hi ErrorMsg ctermbg=NONE ctermfg=red cterm=bold
    hi ModeMsg ctermbg=NONE ctermfg=white cterm=bold
    hi MoreMsg ctermbg=NONE ctermfg=white cterm=NONE
    hi Question ctermbg=NONE ctermfg=darkgray cterm=NONE
    hi WarningMsg ctermbg=NONE ctermfg=yellow cterm=bold
    hi Cursor ctermbg=white ctermfg=black cterm=bold
    hi CursorColumn ctermbg=gray ctermfg=NONE cterm=NONE
    hi EndOfBuffer ctermbg=black ctermfg=black cterm=NONE
    hi Noise ctermbg=NONE ctermfg=gray cterm=NONE
    hi TabLineNum ctermbg=gray ctermfg=gray cterm=bold
    hi TabLineNumSel ctermbg=gray ctermfg=darkgray cterm=bold
    hi StatusLineNoise ctermbg=gray ctermfg=gray cterm=NONE
    hi StatusLineNoiseActive ctermbg=gray ctermfg=gray cterm=NONE
    hi StatusLineBufferNr ctermbg=gray ctermfg=darkgray cterm=bold
    hi StatusLineBufferNrActive ctermbg=gray ctermfg=white cterm=bold
    hi StatusLinePercent ctermbg=gray ctermfg=gray cterm=bold
    hi StatusLinePercentActive ctermbg=gray ctermfg=darkgray cterm=bold
    hi StatusLineLinecount ctermbg=gray ctermfg=gray cterm=bold
    hi StatusLineLinecountActive ctermbg=gray ctermfg=darkgray cterm=bold
    hi StatusLineDivActive ctermbg=gray ctermfg=gray cterm=NONE
    hi StatusLineDivInput ctermbg=darkblue ctermfg=darkblue cterm=NONE
    hi StatusLineDivMod ctermbg=red ctermfg=red cterm=NONE
    hi StatusLineDivModActive ctermbg=red ctermfg=red cterm=NONE
    hi StatusLineFileInfo ctermbg=NONE ctermfg=gray cterm=italic
    hi StatusLineFile ctermbg=gray ctermfg=darkgray cterm=italic
    hi StatusLineFileActive ctermbg=gray ctermfg=white cterm=italic
    hi StatusLineDir ctermbg=gray ctermfg=gray cterm=italic
    hi StatusLineDirActive ctermbg=gray ctermfg=gray cterm=italic
    hi StatusLineExt ctermbg=gray ctermfg=gray cterm=italic
    hi StatusLineExtActive ctermbg=gray ctermfg=darkgray cterm=italic
    hi StatusLineDot ctermbg=gray ctermfg=gray cterm=italic
    hi StatusLineDotActive ctermbg=gray ctermfg=gray cterm=italic
    hi StatusLineFileReadOnly ctermbg=gray ctermfg=red cterm=italic
    hi StatusLineFileReadOnlyActive ctermbg=NONE ctermfg=red cterm=italic
    hi StatusLineWarning ctermbg=gray ctermfg=darkgray cterm=bold
    hi StatusLineWarningActive ctermbg=NONE ctermfg=red cterm=bold
    hi LinterDash ctermbg=NONE ctermfg=gray cterm=NONE
    hi LinterDashActive ctermbg=NONE ctermfg=gray cterm=NONE
    hi LinterError ctermbg=NONE ctermfg=gray cterm=bold
    hi LinterErrorActive ctermbg=NONE ctermfg=red cterm=bold
    hi LinterErrorStyle ctermbg=NONE ctermfg=gray cterm=NONE
    hi LinterErrorStyleActive ctermbg=NONE ctermfg=red cterm=NONE
    hi LinterWarning ctermbg=NONE ctermfg=gray cterm=bold
    hi LinterWarningActive ctermbg=NONE ctermfg=red cterm=bold
    hi LinterWarningStyle ctermbg=NONE ctermfg=gray cterm=NONE
    hi LinterWarningStyleActive ctermbg=NONE ctermfg=red cterm=NONE
    hi LinterInfo ctermbg=NONE ctermfg=gray cterm=NONE
    hi LinterInfoActive ctermbg=NONE ctermfg=gray cterm=NONE
    hi GitGutterDelete ctermbg=NONE ctermfg=red cterm=bold
    hi GitGutterChange ctermbg=NONE ctermfg=blue cterm=bold
    hi GitGutterAdd ctermbg=NONE ctermfg=green cterm=bold
    hi GitGutterChangeDelete ctermbg=NONE ctermfg=magenta cterm=bold
    hi cssIdentifier ctermbg=NONE ctermfg=green cterm=bold
    hi cssClass ctermbg=NONE ctermfg=green cterm=NONE
    hi cssFunction ctermbg=NONE ctermfg=darkgray cterm=bold
    hi cssProp ctermbg=NONE ctermfg=gray cterm=NONE
    hi scssVariable ctermbg=NONE ctermfg=green cterm=bold
    hi link cssAttr String
    hi link cssIdentifierAttr Noise
    hi link cssClassAttr cssIdentifierAttr
    hi link cssAttrNoise Noise
    hi link atKeyword PreProc
    hi link cssIdentifier cssIdentifier
    hi link cssClassName cssClass
    hi link cssClassNameDot cssClass
    hi link cssTagName htmlTagName
    hi link cssPseudoClassId cssClassName
    hi link cssKeyFrameSelector Label
    hi link cssFunctionName cssIdentifier
    hi link cssBraces Noise
    hi cssUnitDecorators ctermbg=NONE ctermfg=darkgray cterm=NONE
    hi link scssSelector cssClass
    hi link scssSelectorName scssSelector
    hi link scssSelectorChar cssIdentifier
    hi link scssFunctionName cssFunction
    hi link scssMixin keyword
    hi link scssMixinName cssFunction
    hi link scssampersand scssSelectorName
    hi link scssAtRoot atKeyword
    hi link vue_scss cssIdentifier
    hi htmlTagName ctermbg=NONE ctermfg=darkblue cterm=NONE
    hi htmlSpecialTagName ctermbg=NONE ctermfg=blue cterm=bold
    hi htmlLink ctermbg=NONE ctermfg=blue cterm=underline
    hi link htmlNormal Normal
    hi link htmlTitle Title
    hi link htmlH1 htmlTitle
    hi link htmlTag Noise
    hi link htmlEndTag htmlTag
    hi link htmlArg PreProc
    hi link htmlValue String
    hi link htmlSpecialChar Special
    hi link htmlPreStmt PreProc
    hi link htmlPreError Error
    hi link htmlPreProc PreProc
    hi link htmlPreAttr String
    hi link htmlPreProcAttrName PreProc
    hi link htmlPreProcAttrError Error
    hi link htmlSpecial Special
    hi link htmlSpecialChar Special
    hi link htmlString String
    hi link htmlStatement Statement
    hi link htmlComment Comment
    hi link htmlCommentPart Comment
    hi link htmlValue String
    hi link htmlCommentError htmlError
    hi link htmlTagError htmlError
    hi link htmlEvent javaScript
    hi link htmlError Error
    hi link javaScript Special
    hi link javaScriptExpression javaScript
    hi link htmlCssStyleComment Comment
    hi link htmlCssDefinition Special
    hi link htmlImgArg htmlArg
    hi link htmlSrcValue String
    hi link htmlSrcsetValue htmlSrcValue
    hi link htmlAltValue String
    hi link htmlDataArg htmlTagName
    hi link htmlDataValue Constant
    hi link htmlHrefArg htmlArg
    hi link htmlHrefValue htmlSrcValue
    hi vueTagSpecial ctermbg=NONE ctermfg=blue cterm=bold
    hi vueTagComponentName ctermbg=NONE ctermfg=darkblue cterm=bold
    hi vueDynamicComponent ctermbg=NONE ctermfg=darkblue cterm=bold
    hi link vueTransitionComponent vueDynamicComponent
    hi link vueTransitionName cssIdentifier
    hi link vueTransitionMode String
    hi link vueDirective Identifier
    hi link vueEvent Function
    hi link vueConditional Special
    hi link vueFor vueConditional
    hi link vueRef vueDirective
    hi link vueSlot Noise
    hi link vueDirectiveValue Type
    hi link vueEventValue vueDirectiveValue
    hi link vueConditionalValue vueDirectiveValue
    hi link vueForValue vueConditionalValue
    hi link vueRefValue Constant
    hi link vueSlotName Constant
    hi link vueObjectKey cssClass
    hi link vueObjectValue vueDirectiveValue
    hi link vueDirectiveClass Noise
    hi link vueMustache Type
    hi link jsFunctionKey Function
    hi jsFuncCall ctermbg=NONE ctermfg=darkred cterm=bold
    hi link jsFuncCall Identifier
    hi link jsOperator Operator
    hi link jsVariableDef Identifier
    hi jsGlobalObjects ctermbg=NONE ctermfg=darkgray cterm=bold
    hi link jsGlobalNodeObjects jsGlobalObjects
    hi link jsExceptions jsGlobalObjects
    hi link jsBuiltins jsGlobalObjects
    hi link jsStorageClass Include
    hi jsObjectKey ctermbg=NONE ctermfg=red cterm=NONE
    hi link jsObjectProp Type
    hi jsObjectValue ctermbg=NONE ctermfg=darkred cterm=NONE
    hi link jsModuleKeyword Type
    hi link jsOperatorKeyword Label
    hi link jsThis jsGlobalObjects
    hi link jsArrowFunction Function
    hi link pythonBuiltin Type
    hi link pythonBuiltinObj Special
    hi link pythonDottedName Identifier
    hi link pythonBrackets Noise
    hi link pythonQuotes Noise
    hi link pythonDot Noise
    hi link pythonNoise Noise
    hi link pythonExtraOperator Operator
    hi link pythonDocString SpecialComment
    hi pythonSelf ctermbg=NONE ctermfg=gray cterm=bold
    hi link sqlOperator Operator
    hi vimFoldMarker ctermbg=NONE ctermfg=gray cterm=NONE
    hi link vimMap Noise
    hi link vimAbb vimMap
    hi link VimCommand Statement
    hi link VimOption String
    hi link vimFunction Function
    hi link vimFuncKey Special
    hi link vimHighlight Noise
    hi link vimAuGroupKey Noise
    hi link vimAutoCmd Noise
    hi link vimHiTerm Include
    hi link vimHiAttrib Number
    hi link VimIsCommand Type
    hi link vimNotation StorageClass
    hi link vimMapLhs Special
    hi link vimMapRhs Label
    hi link vimNotFunc Conditional
    hi link vimSep Noise
    hi link vimParenSep vimSep
    hi link vimContinue vimSep
    hi link vimBracket vimSep
    hi link vimOperParen Normal
    hi link vimUserFunc Identifier
    hi link vimFoldMarker Noise
    hi link yamlKeyValueDelimiter Noise
    hi link yamlFowIndicator Noise
    hi link confComment Comment
    hi ExtraWhitespace ctermbg=red ctermfg=NONE cterm=NONE
    hi link phpRegion Normal
    hi link phpComparison Operator
    hi QuickfixLine ctermbg=NONE ctermfg=darkgray cterm=bold
    hi qfLineNr ctermbg=NONE ctermfg=gray cterm=italic
    hi qfFilename ctermbg=NONE ctermfg=darkgray cterm=bold
    hi link qfSeparator Ignore
    hi link qfError ErrorMsg
    hi link jsonKeyword Identifier
    hi link jsonValue String
    hi link jsonQuote Noise
    hi link LspErrorText ErrorMsg
    hi link LspWarningText WarningMsg
    hi link LspInformationText Question
    hi link LspHintText Question
    hi CtrlPPrtBase ctermbg=white ctermfg=black cterm=bold
    hi CtrlPPrtText ctermbg=white ctermfg=black cterm=bold
    hi CtrlPMatch ctermbg=NONE ctermfg=darkgray cterm=bold
    hi CtrlPMode1 ctermbg=NONE ctermfg=white cterm=bold
    hi CtrlPMode2 ctermbg=NONE ctermfg=darkgray cterm=NONE
    hi CtrlPNoEntries ctermbg=NONE ctermfg=red cterm=bold
    hi CtrlPBufferNr ctermbg=NONE ctermfg=darkgray cterm=bold
    hi CtrlPBufferInd ctermbg=NONE ctermfg=white cterm=bold
    hi CtrlPBufferPath ctermbg=NONE ctermfg=gray cterm=NONE
    hi CtrlPBufferHid ctermbg=NONE ctermfg=gray cterm=NONE
    hi CtrlPBufferHidMod ctermbg=NONE ctermfg=darkred cterm=NONE
    hi link CtrlPBufferVis Normal
    hi CtrlPBufferVisMod ctermbg=NONE ctermfg=red cterm=NONE
    hi CtrlPBufferCur ctermbg=NONE ctermfg=white cterm=bold
    hi CtrlPBufferCurMod ctermbg=NONE ctermfg=red cterm=NONE
    hi CtrlPBufName ctermbg=NONE ctermfg=darkgray cterm=NONE
    hi CtrlPTagKind ctermbg=NONE ctermfg=white cterm=bold
    hi CtrlPqfLineCol ctermbg=NONE ctermfg=red cterm=bold
    hi CtrlPUndoT ctermbg=NONE ctermfg=darkgray cterm=NONE
    hi CtrlPUndoBr ctermbg=NONE ctermfg=gray cterm=NONE
    hi CtrlPUndoNr ctermbg=NONE ctermfg=gray cterm=NONE
    hi CtrlPUndoSv ctermbg=NONE ctermfg=red cterm=NONE
    hi CtrlPUndoPo ctermbg=NONE ctermfg=white cterm=bold
    hi link Variable Function
endif

augroup cursorlinebg
  au!
  au InsertEnter * hi CursorLine ctermbg=17 ctermfg=NONE cterm=NONE guibg=#384046 guifg=NONE
  au InsertLeave * hi CursorLine ctermbg=232 ctermfg=NONE cterm=NONE guibg=#1B1C1D guifg=NONE
augroup END


